I recently upgraded my installation of Ubuntu, not really thinking about Zimbra's dependencies. I wasn't really thinking because I remembered running a Ubuntu 6 version on Ubuntu 8 before so I figured it would be as easy as it was then, just force it to install. I also figured that not much would change between the OS' either.

Zimbra now fails to start with a perl error.
Code:
~$ zmcontrol start
/usr/bin/perl: symbol lookup error: /opt/zimbra/zimbramon/lib/i486-linux-gnu-thread-multi/auto/IO/IO.so: undefined symbol: Perl_Tstack_sp_ptr
I can't find much about this error after a lot of googling, so figured I'd ask here. I know I can't really get support since I'm on an unsupported version of Ubuntu but if anyone would like to give it a shot I'm up for trying out anything, since if I can't fix this I'm going to have to re-install Ubuntu anyways...
Thanks for your time.